SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL';

CREATE  TABLE IF NOT EXISTS `drivefilesv2` (
  `url` VARCHAR(450) CHARACTER SET 'ascii' COLLATE 'ascii_general_ci' NOT NULL ,
  `physicalname` VARCHAR(50) CHARACTER SET 'ascii' COLLATE 'ascii_general_ci' NOT NULL ,
  `author` INT UNSIGNED NOT NULL ,
  `groupid` INT UNSIGNED NOT NULL ,
  `access` CHAR(3) NOT NULL ,
  PRIMARY KEY (`url`, `physicalname`) ,
  INDEX `drivefilesv2 users` (`author` ASC) ,
  INDEX `drivefilesv2 usergroups` (`groupid` ASC) ,
  CONSTRAINT `drivefilesv2 users`
    FOREIGN KEY (`author` )
    REFERENCES `users` (`id` )
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `drivefilesv2 usergroups`
    FOREIGN KEY (`groupid` )
    REFERENCES `usergroups` (`id` )
    ON DELETE RESTRICT
    ON UPDATE NO ACTION)
ENGINE = InnoDB
DEFAULT CHARACTER SET = utf8
COLLATE = utf8_general_ci;

SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;